/*
 * Copyright 1993, 1994, Silicon Graphics, Inc.
 * All Rights Reserved.
 *
 * This is UNPUBLISHED PROPRIETARY SOURCE CODE of Silicon Graphics, Inc.;
 * the contents of this file may not be disclosed to third parties, copied or
 * duplicated in any form, in whole or in part, without the prior written
 * permission of Silicon Graphics, Inc.
 *
 * RESTRICTED RIGHTS LEGEND:
 * Use, duplication or disclosure by the Government is subject to restrictions
 * as set forth in subdivision (c)(1)(ii) of the Rights in Technical Data
 * and Computer Software clause at DFARS 252.227-7013, and/or in similar or
 * successor clauses in the FAR, DOD or NASA FAR Supplement. Unpublished -
 * rights reserved under the Copyright Laws of the United States.
 */
#include <stddef.h>
#include <stdlib.h>
#include <string.h>

void readenv_( envnam, envval, srlen, retlen )
char *envnam, *envval;
int *srlen, *retlen;
{

    char *strnam = malloc( *srlen+1);
    char *strval;
    char *null;
    null = (char *) 0;

    /* convert FORTRAN string to C format */
    memcpy( strnam, envnam, *srlen);
    strnam[*srlen] = '\0';

    /* read env variable */

    if ((strval= getenv( strnam)) == null) {
	*retlen = 0;
	return;
    }

    *retlen = strlen( strval ); /* return variable length */
    memcpy ( envval, strval, *retlen); 

}


int  charcmp_(s1, s2)
char *s1, *s2;
{

	return strcmp(s1,s2);
}
	

